Gnome Shell зависает при использовании внешних USB-накопителей

Ведется работа по унификации большинства сервисов Ubuntu по схеме входа в Ubuntu One по адресу: https://login.ubuntu.com/ Это всего лишь поставщик OpenID, но были перенесены следующие сервисы чтобы использовать его (это лишь некоторые из тех, что я использовал - конечно, много больше!):

https://myapps.developer.ubuntu.com/
https://forms.canonical.com/
http://ubuntuforums.org/
https://launchpad.net/
http://rt.ubuntu.com/
http://wiki.ubuntu.com/
https://software-center.ubuntu.com/
http://paste.ubuntu.com/

Спросить Ubuntu разрешает любой предоставленный OpenID, чтобы вы могли добавить это в свою учетную запись если хочешь.

3
задан 05.12.2019, 14:14

3 ответа

Я могу воспроизвести зависание системы при использовании nautilus для демонтажа паспорта WD 1 ТБ.

Я могу безопасно удалить его, позвонив

sudo umount /media/<MountPoint>
sudo /usr/local/sbin/suspend-usb-device.sh /dev/<disk> -v

Сценарий приостановки доступен на github

0
ответ дан 05.12.2019, 14:15
  • 1
    То, что интересно, я все еще получаю замораживание на своем сервере с помощью этого сценария, но не на моем рабочем столе o_0 - так его маловероятное, чтобы быть связанным гномом (сервер является бездисплейным), – VitalyB 05.12.2019, 14:15
  • 2
    Thank' s для Вашего ответа, I' ll проверяют его за несколько часов. – Joe 05.12.2019, 14:16

В соответствии с ошибками панели запуска - обновление до версии 3.0.6 должно решить проблему. Пакеты Deb доступны по адресу; http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.6-oneiric/

Руководство по установке (для amd64)

  1. Загрузите пакет заголовков ядра;

    http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.6-oneiric/linux-headers-3.0.6-030006_3 .0.6-030006.201110050043_all.deb

  2. И соответствующий пакет для вашей архитектуры;

    http://kernel.ubuntu.com/~ kernel-ppa / mainline / v3.0.6-oneiric / linux-headers-3.0.6-030006-generic_3.0.6-030006.201110050043_amd64.deb

  3. и сопровождающее скомпилированное ядро ;

    http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0.6-oneiric/linux-image-3.0.6-030006-generic_3.0.6-030006.201110050043_amd64. deb

  4. Установите файлы в том же порядке

  5. В терминале запустите: sudo update-grub
  6. Перезагрузитесь и выберите ядро из меню загрузчика
0
ответ дан 05.12.2019, 14:15

Это определенно ошибка. Это происходит со мной на Unity тоже. Я попробовал скрипт suspend-usb-device, но моя система снова зависла.

Открыта ошибка на панели запуска: https://bugs.launchpad.net/ubuntu/+source/ntfs-3g/+bug/878294

0
ответ дан 05.12.2019, 14:16

Теги

Похожие вопросы